Skip to content

Searches for job postings using predefined parameters

Request

Searches for job postings using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The job posting that you would like to be saved.

bodystring(Body)
contact_idArray of strings(Contact)

IDs to search

employer_namestring(Employer Name)
expiration_dateArray of strings, (date-time), = 2 items(Expiration Date)

Date job was posted

idsArray of strings(Ids)

IDs to search

internal_reference_codestring(Internal Reference Code)
namestring(Name)
numberArray of numbers, (float), = 2 items(Number)

Date job was posted

organization_idArray of strings(Organization)

IDs to search

post_dateArray of strings, (date-time), = 2 items(Post Date)

Date job was posted

statusArray of strings(Status)

Status

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobPostings/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "body": "string",
    "contact_id": [
      "string"
    ],
    "employer_name": "string",
    "expiration_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "ids": [
      "string"
    ],
    "internal_reference_code": "string",
    "name": "string",
    "number": [
      0.1,
      0.1
    ],
    "organization_id": [
      "string"
    ],
    "post_date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "status": [
      "string"
    ]
  }'

Responses

The job posting search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(JobPostingSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }